
Name: pcp-pmda-infiniband
URL: http://oss.sgi.com/projects/pcp
Summary: PMDA for collecting statistics from Infiniband HCAs and Switches
Version: 1.0
Release: 1
Group: Productivity/Networking
Vendor: SGI Inc.
Packager: SGI Inc. <http://www.sgi.com/>
License: GPL

Requires: pcp >= 3.0.1 libibcommon libibmad >= 1.1.7 libibumad >= 1.1.7
BuildRequires: pcp >= 3.0.1 libibmad-devel >= 1.1.7 libibumad-devel >= 1.1.7
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Source0: %{name}-%{version}.tar.bz2

%define pcp_pmdas_dir %( . /etc/pcp.conf ; echo $PCP_PMDAS_DIR )
%define pcp_man_dir %( . /etc/pcp.conf ; echo $PCP_MAN_DIR )

%description
This package contains the PMDA for collecting Infiniband statistics.
By default it monitors only the local HCAs, but can also be configured
to monitor remote GUIDs such as IB switches.

%prep
%setup -q

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{pcp_pmdas_dir}/ib
make install PREFIX=%{buildroot}

%clean
rm -rf %{buildroot}

%preun
cd %{pcp_pmdas_dir}/ib;
./Remove

%files
%{pcp_pmdas_dir}/ib/pmdaib
%{pcp_pmdas_dir}/ib/pmda_ib.so
%{pcp_pmdas_dir}/ib/Install
%{pcp_pmdas_dir}/ib/Remove
%{pcp_pmdas_dir}/ib/pmns
%{pcp_pmdas_dir}/ib/root
%{pcp_pmdas_dir}/ib/domain.h
%{pcp_pmdas_dir}/ib/help
%{pcp_pmdas_dir}/ib/help.pag
%{pcp_pmdas_dir}/ib/help.dir
%doc %{pcp_man_dir}/man1/pmdaib.1.gz

%changelog
* Mon Oct 19 2009 Martin Hicks <mort@sgi.com> - 1.0-1
- Initial version
